<template>
  <div class="header-top container-xxl">
    <nav class="navbar" @show-menu="showMenuNav">
      <header-logo />
      <header-top-right />

      <button
        class="navbar-toggler mr-1 d-xl-none"
        type="button"
        data-toggle="collapse"
        data-target="#navbarToggler"
        aria-controls="navbarToggler"
        aria-expanded="false"
        aria-label="Toggle navigation"
        @click="handShowMenu"
      >
        <i class="fa-solid fa-bars"></i>
      </button>
    </nav>
  </div>
</template>

<script>
import headerLogo from "~/components/header/header-top/header-logo.vue";
import HeaderTopRight from "~/components/header/header-top/header-top-right.vue";
export default {
  components: { headerLogo, HeaderTopRight },
  name: "HeaderTop",
  methods: {
    handShowMenu() {
      this.$emit("show-menu");
    },
    showMenuNav() {
      this.$emit("show-menu-top");
    },
  },
};
</script>

<style lang="scss">
@import "@/assets/scss/base/variables";
@import "@/assets/scss/base/mixins";
.header-top {
  padding-left: 10px !important;
  padding-right: 10px !important;
  @include breakpoints(max-xs) {
    padding-top: 10px;
    padding-bottom: 10px;
  }
}
</style>
